Fetches a list of Elasticsearch projects.
Query parameters
-
Filters the returned list of projects. Only projects associated with the provided traffic_filter will be returned.
-
Contains a project ID. If specified, the result will be filtered to only those origin projects that are linked to the specified project ID in a cross-project search configuration.
Format should match the following pattern:
^[a-z0-9]{32}$. -
If specified, the result will be filtered to only those projects that have the specified tags and corresponding values.
Responses
-
The Elasticsearch project list
Hide response attributes Show response attributes object
-
A token to fetch the next page.
-
The actual projects.
Hide items attributes Show items attributes object
An Elasticsearch serverless project.
-
ID of the project.
Format should match the following pattern:
^[a-z0-9]{32}$. -
Descriptive name for a project.
Minimum length is
1, maximum length is255. -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
Minimum length is
8, maximum length is57. Format should match the following pattern:^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$. -
Unique human-readable identifier for a region in Elastic Cloud.
-
Additional details about the project.
Hide metadata attributes Show metadata attributes object
-
Date and time when the project was created.
-
ID of the user.
-
The Organization ID who owns the project.
-
Date and time when the project was suspended.
-
Reason why the project was suspended.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.
-
-
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
traffic filters IDs
-
Configuration for projects linked to this project
Additional properties are NOT allowed.
Hide linked attribute Show linked attribute object
-
Hide projects attribute Show projects attribute object
-
-
Configuration for monitoring a project.
Hide monitoring attribute Show monitoring attribute object
-
Configuration for project logs.
Hide logging attribute Show logging attribute object
-
Configuration for logs from a specific category.
Hide audit attributes Show audit attributes object
-
Configuration for destination of logs.
Hide destination attributes Show destination attributes object
-
ID of the project.
Format should match the following pattern:
^[a-z0-9]{32}$. -
The type of the linked project
Values are
elasticsearch,observability,security, orvectordb. -
The state of log delivery to this destination. Controlled by the system and read-only: it is set to
suspendedordeletedwhen the destination project is suspended or deleted. Logs are only delivered when this isenabledand the logging category'senabledflag is true.Values are
enabled,suspended, ordeleted.
-
-
When true, logs from this category are delivered to the configured destination. When false, delivery is paused but the configuration is preserved.
-
References to logging ignore filters applied to reduce the volume of logs delivered for this category.
-
-
-
-
the type of the project
Value is
elasticsearch. -
The purpose for which the hardware of this elasticsearch project is optimized. Also known as the Elasticsearch project subtype.
- The
general_purposeoption is suitable for most search use cases. For example, it is the right profile for full-text search, sparse vectors, and dense vectors that use compression such as BBQ. It is used by default when you create projects from the UI. - The
vectoroption is recommended only for uncompressed dense vectors (dense_vectorfields withint4orint8quantization strategies) and high dimensionality. Refer to documentation about billing dimensions for the impact to virtual compute unit (VCU) consumption.
Values are
general_purposeorvector.Elasticsearch Serverless billi... - The
-
Configuration for entire set of capabilities that make the data searchable in Elasticsearch.
Hide search_lake attributes Show search_lake attributes object
-
Controls how fast searches are against your project data. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. You can either increase the performance of searches on cached data by adding replicas, or reduce the quantity of cached data by a static factor to save on costs.
Minimum value is
28, maximum value is3000. -
Determines how much data can benefit from faster search. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. The system dynamically adjusts the cache allocated to your project based on how much data you ingest during the period defined by your Search Boost Window.
Minimum value is
1, maximum value is180.
-
-
The endpoints to access the different apps of the project.
-
Private endpoints (URLs) for Elasticsearch projects when PrivateLink is enabled.
Hide private_endpoints attributes Show private_endpoints attributes object
-
-
-
Unauthorized
Hide response attribute Show response attribute object
curl \
--request GET 'https://api.elastic-cloud.com/api/v1/serverless/projects/elasticsearch' \
--header "Authorization: $API_KEY"